EnderDash

Update Channel Preference

POST
/chat/updateChannelPreference

Authorization

__Secure-enderdash.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
channelId*string
Formatuuid
notificationLevel*string

Value in

  • "all"
  • "mentions"
  • "muted"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/chat/updateChannelPreference" \  -H "Content-Type: application/json" \  -d '{    "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160",    "notificationLevel": "all"  }'
null